spread 3.0.2004.2005 and 5.0.3518.2008 coexist in same project?

Posted by: xerave1 on 8 September 2017, 2:43 pm EST

  • Posted 8 September 2017, 2:43 pm EST

    hi

    I have a UserControl in an external dll using spread for .net Ver-3.0.2004.2005, and currently my project using the same spread version.

      Is it possible to upgrade my project alone to 5.0.3518.2008 continue using the old version's dll ?

      If Yes then:

      Are there any special actions I need to take?

      Much more basic, How to upgrade the project from 3 to 5?

      Any API changes I will need to take of?

    Thank you very much in advance

    Eran

  • Replied 8 September 2017, 2:43 pm EST

    Hi,

    I think you will need to upgrade both projects to use the new version.  You can set a reference path in the projects or delete the v3 references and add new v5 references for those dlls.  There are upgrade instructions detailed in the readme.chm installed to the Docs folder in the topic "Updating Projects."

    There are a few APIs which are deprecated and might cause warnings when you build with the new version, but they should still work as before.  You should not need to change any code to use the new version --  just change the references and rebuild the projects.

Need extra support?

Upgrade your support plan and get personal unlimited phone support with our customer engagement team

Learn More

Forum Channels